View Javadoc

    1   /*
    2    * This file is part of dependency-check-core.
    3    *
    4    * Dependency-check-core is free software: you can redistribute it and/or modify it
    5    * under the terms of the GNU General Public License as published by the Free
    6    * Software Foundation, either version 3 of the License, or (at your option) any
    7    * later version.
    8    *
    9    * Dependency-check-core is distributed in the hope that it will be useful, but
    10   * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    11   * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
    12   * details.
    13   *
    14   * You should have received a copy of the GNU General Public License along with
    15   * dependency-check-core. If not, see http://www.gnu.org/licenses/.
    16   *
    17   * Copyright (c) 2012 Jeremy Long. All Rights Reserved.
    18   */
    19  package org.owasp.dependencycheck.data.nvdcve;
    20
    21  /**
    22   * An exception thrown if an operation against the database fails.
    23   *
    24   * @author Jeremy Long (jeremy.long@owasp.org)
    25   */
    26  public class DatabaseException extends Exception {
    27
    28      /**
    29       * the serial version uid.
    30       */
    31      private static final long serialVersionUID = 1L;
    32
    33      /**
    34       * Creates an DatabaseException.
    35       *
    36       * @param msg the exception message
    37       */
    38      public DatabaseException(String msg) {
    39          super(msg);
    40      }
    41
    42      /**
    43       * Creates an DatabaseException.
    44       *
    45       * @param msg the exception message
    46       * @param ex the cause of the exception
    47       */
    48      public DatabaseException(String msg, Exception ex) {
    49          super(msg, ex);
    50      }
    51  }